gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.RcProperty

Contents

- Exported types
- Methods
  - parseBorder
  - parseColor
  - parseEnum
  - parseFlags
  - parseRequisition
- Properties
  - origin
  - propertyName
  - typeName
  - value

Description

Deprecated

Synopsis

- newtype RcProperty = RcProperty (ManagedPtr RcProperty)
- newZeroRcProperty :: MonadIO m => m RcProperty
- rcPropertyParseBorder :: (HasCallStack, MonadIO m) => GParamSpec -> String -> GValue -> m Bool
- rcPropertyParseColor :: (HasCallStack, MonadIO m) => GParamSpec -> String -> GValue -> m Bool
- rcPropertyParseEnum :: (HasCallStack, MonadIO m) => GParamSpec -> String -> GValue -> m Bool
- rcPropertyParseFlags :: (HasCallStack, MonadIO m) => GParamSpec -> String -> GValue -> m Bool
- rcPropertyParseRequisition :: (HasCallStack, MonadIO m) => GParamSpec -> String -> GValue -> m Bool
- clearRcPropertyOrigin :: MonadIO m => RcProperty -> m ()
- getRcPropertyOrigin :: MonadIO m => RcProperty -> m (Maybe Text)
- setRcPropertyOrigin :: MonadIO m => RcProperty -> CString -> m ()
- getRcPropertyPropertyName :: MonadIO m => RcProperty -> m Word32
- setRcPropertyPropertyName :: MonadIO m => RcProperty -> Word32 -> m ()
- getRcPropertyTypeName :: MonadIO m => RcProperty -> m Word32
- setRcPropertyTypeName :: MonadIO m => RcProperty -> Word32 -> m ()
- clearRcPropertyValue :: MonadIO m => RcProperty -> m ()
- getRcPropertyValue :: MonadIO m => RcProperty -> m (Maybe GValue)
- setRcPropertyValue :: MonadIO m => RcProperty -> Ptr GValue -> m ()

# Exported types

newtype RcProperty Source #

Memory-managed wrapper type.

Constructors

RcProperty (ManagedPtr RcProperty) |

#### Instances

Instances details

Eq RcProperty Source # |
Instance details Defined in GI.Gtk.Structs.RcProperty Methods (==) :: RcProperty -> RcProperty -> Bool Source # (/=) :: RcProperty -> RcProperty -> Bool Source #
BoxedPtr RcProperty Source # |
Instance details Defined in GI.Gtk.Structs.RcProperty Methods boxedPtrCopy :: RcProperty -> IO RcProperty Source # boxedPtrFree :: RcProperty -> IO () Source #
CallocPtr RcProperty Source # |
Instance details Defined in GI.Gtk.Structs.RcProperty Methods boxedPtrCalloc :: IO (Ptr RcProperty) Source #
ManagedPtrNewtype RcProperty Source # |
Instance details Defined in GI.Gtk.Structs.RcProperty Methods toManagedPtr :: RcProperty -> ManagedPtr RcProperty Source #
tag ~ 'AttrSet => Constructible RcProperty tag Source # |
Instance details Defined in GI.Gtk.Structs.RcProperty Methods new :: MonadIO m => (ManagedPtr RcProperty -> RcProperty) -> [AttrOp RcProperty tag] -> m RcProperty Source #

newZeroRcProperty :: MonadIO m => m RcProperty Source #

Construct a `RcProperty` struct initialized to zero.

# Methods

## parseBorder

rcPropertyParseBorder Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GParamSpec | `pspec`: a `ParamSpec`
-> String | `gstring`: the `String` to be parsed
-> GValue | `propertyValue`: a `Value` which must hold boxed values.
-> m Bool | Returns: `True` if `gstring` could be parsed and `propertyValue` has been set to the resulting `Border`.

A `RcPropertyParser` for use with `settingsInstallPropertyParser` or `gtk_widget_class_install_style_property_parser()` which parses borders in the form `"{ left, right, top, bottom }"` for integers left, right, top and bottom.

## parseColor

rcPropertyParseColor Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GParamSpec | `pspec`: a `ParamSpec`
-> String | `gstring`: the `String` to be parsed
-> GValue | `propertyValue`: a `Value` which must hold `Color` values.
-> m Bool | Returns: `True` if `gstring` could be parsed and `propertyValue` has been set to the resulting `Color`.

A `RcPropertyParser` for use with `settingsInstallPropertyParser` or `gtk_widget_class_install_style_property_parser()` which parses a color given either by its name or in the form `{ red, green, blue }` where red, green and blue are integers between 0 and 65535 or floating-point numbers between 0 and 1.

## parseEnum

rcPropertyParseEnum Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GParamSpec | `pspec`: a `ParamSpec`
-> String | `gstring`: the `String` to be parsed
-> GValue | `propertyValue`: a `Value` which must hold enum values.
-> m Bool | Returns: `True` if `gstring` could be parsed and `propertyValue` has been set to the resulting `EnumValue`.

A `RcPropertyParser` for use with `settingsInstallPropertyParser` or `gtk_widget_class_install_style_property_parser()` which parses a single enumeration value.

The enumeration value can be specified by its name, its nickname or its numeric value. For consistency with flags parsing, the value may be surrounded by parentheses.

## parseFlags

rcPropertyParseFlags Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GParamSpec | `pspec`: a `ParamSpec`
-> String | `gstring`: the `String` to be parsed
-> GValue | `propertyValue`: a `Value` which must hold flags values.
-> m Bool | Returns: `True` if `gstring` could be parsed and `propertyValue` has been set to the resulting flags value.

A `RcPropertyParser` for use with `settingsInstallPropertyParser` or `gtk_widget_class_install_style_property_parser()` which parses flags.

Flags can be specified by their name, their nickname or numerically. Multiple flags can be specified in the form `"( flag1 | flag2 | ... )"`.

## parseRequisition

rcPropertyParseRequisition Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GParamSpec | `pspec`: a `ParamSpec`
-> String | `gstring`: the `String` to be parsed
-> GValue | `propertyValue`: a `Value` which must hold boxed values.
-> m Bool | Returns: `True` if `gstring` could be parsed and `propertyValue` has been set to the resulting `Requisition`.

A `RcPropertyParser` for use with `settingsInstallPropertyParser` or `gtk_widget_class_install_style_property_parser()` which parses a requisition in the form `"{ width, height }"` for integers `width` and `height`.

# Properties

## origin

field similar to one found in `SettingsValue`

clearRcPropertyOrigin :: MonadIO m => RcProperty -> m () Source #

Set the value of the “`origin`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #origin

getRcPropertyOrigin :: MonadIO m => RcProperty -> m (Maybe Text) Source #

Get the value of the “`origin`” field. When overloading is enabled, this is equivalent to

    get rcProperty #origin

setRcPropertyOrigin :: MonadIO m => RcProperty -> CString -> m () Source #

Set the value of the “`origin`” field. When overloading is enabled, this is equivalent to

    set rcProperty [ #origin := value ]

## propertyName

quark-ified property identifier like “GtkScrollbarspacing”

getRcPropertyPropertyName :: MonadIO m => RcProperty -> m Word32 Source #

Get the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    get rcProperty #propertyName

setRcPropertyPropertyName :: MonadIO m => RcProperty -> Word32 -> m () Source #

Set the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    set rcProperty [ #propertyName := value ]

## typeName

quark-ified type identifier

getRcPropertyTypeName :: MonadIO m => RcProperty -> m Word32 Source #

Get the value of the “`type_name`” field. When overloading is enabled, this is equivalent to

    get rcProperty #typeName

setRcPropertyTypeName :: MonadIO m => RcProperty -> Word32 -> m () Source #

Set the value of the “`type_name`” field. When overloading is enabled, this is equivalent to

    set rcProperty [ #typeName := value ]

## value

field similar to one found in `SettingsValue`

clearRcPropertyValue :: MonadIO m => RcProperty -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getRcPropertyValue :: MonadIO m => RcProperty -> m (Maybe GValue) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get rcProperty #value

setRcPropertyValue :: MonadIO m => RcProperty -> Ptr GValue -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set rcProperty [ #value := value ]